#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	ofSetCircleResolution(100);
	ofBackground(0,0,0);
	for(int i =0; i<numCircles; i++){
		customCircle[i].x=ofGetWidth()/numCircles*(i+0.5);
		customCircle[i].y=ofRandom(0,ofGetHeight());
	}	
	//ofSetFrameRate(200);
}

//--------------------------------------------------------------
void testApp::update(){
	for(int i =0; i<numCircles; i++){
		customCircle[i].update();
	}
}

//--------------------------------------------------------------
void testApp::draw(){
	for(int i =0; i<numCircles; i++){
		for(int j=i+1; j<numCircles; j++){
			ofSetColor(255, 0, 0);
			ofLine(customCircle[i].x, customCircle[i].y, customCircle[j].x, customCircle[j].y);
			if(ofDist(customCircle[i].x, customCircle[i].y, customCircle[j].x, customCircle[j].y)
			   <(customCircle[i].radius*1.5+customCircle[j].radius*1.5)){
				customCircle[i].speedX*=-1;
				customCircle[i].speedY*=-1;				
				customCircle[j].speedX*=-1;
				customCircle[j].speedY*=-1;
			}
		}
		customCircle[i].draw();
	}
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){
	if (key == 'p') {
		string dateStamp = "_"+ofToString(ofGetYear())+"-"+ofToString(ofGetMonth())+"-"+ofToString(ofGetDay())+"_"+ofToString(ofGetHours())+"-"+ofToString(ofGetMinutes())+"_"+ofToString(ofGetSeconds());
		ofSaveScreen("screenshot"+dateStamp+".png");
	}		
}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

